# Drupal Commerce DIAS Payment Gateway (Redirection Payments)

This module integrates **DIAS (Greece)** as a payment gateway with **Drupal Commerce**. It enables **redirection payments**, providing a secure way for your customers to complete transactions via their bank.

## Table of Contents

- [Introduction](#introduction)
- [Features](#features)
- [How It Works](#how-it-works)
- [Installation](#installation)
- [Configuration](#configuration)
- [Troubleshooting](#troubleshooting)
- [Support](#support)

---

## Introduction

DIAS serves as the Greek hub for credit transfers and direct debits. By using this integration, your customers are redirected to their bank’s secure environment to input their credit card information, ensuring the following:

- **Enhanced Security**: Credit card data is never stored on your Drupal server.
- **Cost Savings**: No need to purchase and maintain expensive compliance certificates (e.g., PCI DSS) on your server.

## Features

- Seamless integration with Drupal Commerce.
- Redirection to the bank's secure payment gateway for credit card processing.
- Fully compliant with security standards.
- Supports DIAS for Greek financial transactions.

## How It Works

1. When customers proceed to checkout, they select **DIAS Payment** as the payment method.
2. Customers are redirected to the DIAS payment gateway.
3. They enter their credit card information securely on the bank’s platform.
4. After the transaction is completed, they are redirected back to the site with a payment status update.

## Installation

1. Download and install the module:
   - Place the module folder in your Drupal site's `/modules/contrib` directory.
   - Enable the module via the **Extend** menu or by running:
     ```bash
     drush en dias_payment -y
     ```
- see **[Drupal Installing Modules Guide](https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules-find-import-enable-configure-drupal-8)** for further
information.
   
## Configuration

- Go to ```Commerce > Configuration > Payment > Payment gateways```.
- Add a new payment gateway and select **DIAS Redirection Payment**.
- Fill in the required fields which will be given with the bank aggreement.

## Troubleshooting

If you encounter issues:
- Verify your DIAS API credentials.
- Check your server’s connectivity to the DIAS gateway.
- Review logs for detailed error messages: `admin/reports/dblog`.
- Post in the issue queue if you still have trouble.

## Maintainers

Current maintainers:
- Athanasios Ntelis (https://www.drupal.org/u/thanos-ntelis)
- Panagiotis Moutsopoulos (https://www.drupal.org/u/vensires)
